{% block sw_data_grid_settings %}
    <sw-data-grid-settings
        v-if="showSettings"
        :columns="currentColumns"
        :compact="compact"
        :previews="previews"
        :enable-previews="hasPreviewSlots"
        :disabled="isInlineEditActive"
        :enable-compact="enableCompactMode"
        @change-compact-mode="onChangeCompactMode"
        @change-preview-images="onChangePreviews"
        @change-column-visibility="onChangeColumnVisibility"
        @change-column-order="onChangeColumnOrder"
    >

        {% block sw_data_grid_settings_additional_settings %}
            {% parent() %}
        {% endblock %}
    </sw-data-grid-settings>
{% endblock %}
